Name:          spirv-headers
Version:       1.3.283.0
Release:       1mamba
Summary:       SPIR-V Headers
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://registry.khronos.org/SPIR-V/
Source:        https://github.com/KhronosGroup/SPIRV-Headers.git/vulkan-sdk-%{version}/SPIRV-Headers-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      pkg-config

%description
SPIR-V Headers.

#% debug_package

%prep
%setup -q -n SPIRV-Headers-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_includedir}/spirv
%{_includedir}/spirv/*
%dir %{_datadir}/cmake/SPIRV-Headers
%{_datadir}/cmake/SPIRV-Headers/SPIRV*.cmake
%{_datadir}/pkgconfig/SPIRV-Headers.pc
%doc LICENSE

%changelog
* Thu Jun 20 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.283.0-1mamba
- update to 1.3.283.0

* Thu Mar 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.275.0-1mamba
- update to 1.3.275.0

* Tue Oct 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.261.1-1mamba
- update to 1.3.261.1

* Thu May 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.246.1-1mamba
- update to 1.3.246.1

* Tue Dec 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.236.0-1mamba
- package created using the webbuild interface
